# awk -f shortints.awk < t3
BEGIN{
  oldshort=0;
  multiplelosses=0;
  shortintervals=0;
  totalintervals=0;
  changes=0;
}
{
  if ($1=="losses") {
    if ($2>1) { multiplelosses=1; } else {multiplelosses=0;}
  }
  if ($1=="count?") {
    ++totalintervals;
    this=0;
    if (multiplelosses && $2==1) {
      ++shortintervals;
      this=1;
    } 
    if (this != old) {
      ++changes;
      old = this;
    }
  }
}
END{
 printf "ShortIntervals: %5d TotalIntervals: %5d Changes: %5d\n", 
   shortintervals, totalintervals, changes;
}
